Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 610189 - Upgrading condor for use with Remote Configuration
Upgrading condor for use with Remote Configuration
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Release_Notes (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Lana Brindley
ecs-bugs
: Documentation
Depends On:
Blocks: 548214
  Show dependency treegraph
 
Reported: 2010-07-01 13:46 EDT by Robert Rati
Modified: 2013-10-23 19:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
CAUSE: If the Remote Configuration feature is to be used on a machine that has had a custom configuration applied in /var/lib/condor/condor_config.local or has had the Remote Configuration feature installed previously. CONSEQUENCE: The Remote Configuration feature might not function correctly after upgrading. FIX: Workaround: If a previous version of remote configuration has been installed, the condor_config.local file will need to be replaced with the version in the new condor RPM. Upon upgrading condor, this file should be created as condor_config.local.rpmnew and contain the LOCAL_CONFIG_DIR parameter. If condor_config.local has been modified outside of the remote configuration feature, then upon upgrading condor the packaged version of condor_config.local should be created as condor_config.local.rpmnew. The differences between the two files should be merged, and the resulting condor_config.local should contain the LOCAL_CONFIG_DIR parameter defined in the condor_config.local.rpmnew file. After the changes to condor_config.local have been addressed, configuration of the Remote Configuration feature may continue as normal (ie setting QMF_BROKER_HOST).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-21 20:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2010-07-01 13:46:20 EDT
Description of problem:
If the Remote Configuration feature is to be used on a machine that either A) condor is being upgraded where custom configuration has been applied in /var/lib/condor/condor_config.local or B) has the Remote Configuration feature installed then special care must be taken to ensure proper functioning of the Remote Configuration feature.

If a previous version of remote configuration has been installed, the condor_config.local file will need to be replaced with the version in the new condor RPM.  Upon upgrading condor, this file should be created as condor_config.local.rpmnew and contain the LOCAL_CONFIG_DIR parameter.

If condor_config.local has been modified outside of the remote configuration feature, then upon upgrading condor the packaged version of condor_config.local should be created as condor_config.local.rpmnew.  The differences between the two files should be merged, and the resulting condor_config.local should contain the LOCAL_CONFIG_DIR parameter defined in the condor_config.local.rpmnew file.

After the changes to condor_config.local have been addressed, configuration of the Remote Configuration feature may continue as normal (ie setting QMF_BROKER_HOST).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lana Brindley 2010-09-16 20:40:34 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
CAUSE: If the Remote Configuration feature is to be used on a machine that has had a custom configuration applied in /var/lib/condor/condor_config.local or has had the Remote Configuration feature installed previously.
CONSEQUENCE: The Remote Configuration feature might not function correctly after upgrading.
FIX: Workaround: If a previous version of remote configuration has been installed, the condor_config.local file will need to be replaced with the version in the new
condor RPM.  Upon upgrading condor, this file should be created as condor_config.local.rpmnew and contain the LOCAL_CONFIG_DIR parameter.

If condor_config.local has been modified outside of the remote configuration feature, then upon upgrading condor the packaged version of condor_config.local should be created as condor_config.local.rpmnew.  The differences between the
two files should be merged, and the resulting condor_config.local should contain the LOCAL_CONFIG_DIR parameter defined in the condor_config.local.rpmnew file.

After the changes to condor_config.local have been addressed, configuration of the Remote Configuration feature may continue as normal (ie setting QMF_BROKER_HOST).
Comment 2 Robert Rati 2010-09-21 16:08:36 EDT
This release note is no longer needed.  The condor_config.local file is not used anymore, and the upgrade case is covered by 628052.

Note You need to log in before you can comment on or make changes to this bug.